Author: simco Category: OS: GNU/Linux
Updated: 09/29/2012 Due date:
Subject: Fall back to OpenAL default device
Description

On my system (64-bits ArchLinux: Linux 3.5.3, Glibc 2.16, OpenAL 1.14, Alsalib 1.0.26), the NeL OpenAL driver can't find a proper
output device. The game has no sound and crashes when unticking and ticking again “Enable sound”.
Here is a patch that fixes the former issue —finding a proper output device— by making the NeL OpenAL driver fall back to a default
device.

History
#1 - 09/28/2012 10:08 pm - simco

Just to make it clear, it also indirectly fixes the crash when re-enabling sound, which was caused by an assertion:

2012/09/27 19:32:59 <Unknown> WRN f5351700 main_loop.cpp 847 : Creating sound manager...
2012/09/27 19:32:59 <Unknown> AST f5351700 singleton.h 136 : "_instance() == NULL" 

#2 - 09/28/2012 10:09 pm - kervala

Thanks a lot for your patch, I'll try it and commit this week-end :)

#3 - 09/29/2012 12:45 pm - kervala
- Status changed from New to Validated
- Assignee set to kervala

#4 - 09/29/2012 01:00 pm - kervala
- Status changed from Validated to Resolved
- % Done changed from 90 to 100

Applied in changeset commit:89347b2b591f.

Files
openal_fall_back_to_default_device.diff 828 Bytes 09/28/2012 simco
